Returns the complete list of all preset IP ranges groups available in the system.
Reference
GET https://YOUR-NETWORK-DOMAIN/rest-api/preset-ip-ranges/ip-ranges/list.do
Returns the complete list of all preset IP ranges groups available in the system. Each group contains an id and title. The response is a JSON array of group objects. Requires PRESET_DOMAIN_GROUP_MANAGEMENT permission.
using var client = new HttpClient();
var request = new HttpRequestMessage(new HttpMethod("GET"), "https://YOUR-NETWORK-DOMAIN/rest-api/preset-ip-ranges/ip-ranges/list.do");
request.Headers.Add("X-Api-Key", "YOUR_API_KEY");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());